(ubuntu)Hyperledger Composer – 基础安装部署测试(一)

作者:心有山海静而无边

来源:CSDN

原文链接:https://blog.csdn.net/qq_38591756/article/details/82950065?utm_source=copy

著作权归作者所有。商业转载请联系作者获得授权,非商业转载请注明出处。

1.本机环境

系统:Ubuntu 17.10

docker:Docker version 18.03.1-ce, build 9ee9f40

docker-composer:docker-compose version 1.21.2, build a133471

(其余软件等版本在文中相应位置)

需要web浏览器
 
2.部分命令

【Ubuntu系统】

查看Ubuntu系统版本:cat /etc/issue 或者 sudo lsb_release -a

【nvm】

使用nvm进行node多版本管理

查看已经安装的版本:nvm ls

查看可以安装的版本:nvm ls-remote

安装指定版本:nvm install <version> (例如:nvm install 8.11.1)

删除指定版本:nvm uninstall <version> (例如:nvm uninstall 10.0.0)

使用选定版本:nvm use <version> (例如:nvm use 8.11.1)

(本机安装所有版本的node.js安装位置应该在 /home/USERNAME/.nvm/versions/node/)

【npm】

npm全局安装包同时安装相应的依赖:npm install -g –save <pagename>

      例如:npm install -g –save composer

安装时可以指定安装特定版本:npm install -g –save composer@0.19.1

npm查看全局安装过的包:npm list -g –depth 0

设置npm的registry:npm config set registry https://registry.npm.taobao.org

重启npm:npm restart
 
3.其他

需要注意的是Hyperledger Composer在部署测试的时候对相应工具的版本有要求,以下指定相关版本测试成功,其余版本需要自行测试。

以下内容中主要介绍部署测试步骤,大部分概念需要自行搜索。

参考链接:

Hyperledger Composer 基础

001基本概念与第一个区块链应用
———————

章发布只为分享区块链技术内容,版权归原作者所有,观点仅代表作者本人,绝不代表区块链兄弟赞同其观点或证实其描述。

© 版权声明
THE END
喜欢就支持一下吧
点赞0
分享